Subject: bug#33864: 27.0.50; Display corruption with "small" font size when something is in the fringe

From: Eli Zaretskii <[email-masked]>
Date: Tue, 25 Dec 2018 21:16:11 +0200

> From: Dale Sedivec <[email-masked]>
> Date: Tue, 25 Dec 2018 13:06:04 -0600
> Cc: [email-masked]
> 
> I reduced the above vector to just 12 lines and the problem still
> occurred, same with 10 lines.  Reducing the bitmap to 9 lines,
> however, DID FIX the problem.  I saw no corruption on the line when
> the bitmap was only 9 lines high.
> 
> To be clear, this was the 9 line bitmap that fixed the problem under
> Menlo 9 pt font:
> 
> (define-fringe-bitmap 'smallest
>     (vector #b00000000
>             #b00000000
>             #b00000000
>             #b00010000
>             #b00000000
>             #b00000000
>             #b00000000
>             #b00000000
>             #b00000000))

OK, so I think this has to do with the situation where the fringe
bitmap's height is greater than the vertical size of the default font.

I think this is macOS-specific.

> (I didn't even realize I could reduce the height of the bitmap in this
> way—sorry I misunderstood your original request, I have never used the
> fringe APIs before.)

No need to apologize.  Thanks for taking time to try this.